Bug 486191 - slapd hang during cs80 cloning setup.
slapd hang during cs80 cloning setup.
Status: CLOSED NOTABUG
Product: Red Hat Directory Server
Classification: Red Hat
Component: Directory Server (Show other bugs)
8.1
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 443788
  Show dependency treegraph
 
Reported: 2009-02-18 14:46 EST by Asha Akkiangady
Modified: 2015-01-04 18:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 13:03:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (1.61 KB, patch)
2009-02-19 15:53 EST, Rich Megginson
no flags Details | Diff
cvs commit log (218 bytes, text/plain)
2009-02-19 16:28 EST, Rich Megginson
no flags Details

  None (edit)
Description Asha Akkiangady 2009-02-18 14:46:24 EST
Description of problem:
The slapd process hang during cs80 cloning setup.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a new database instance
2.Clone an existing CA subsystem by providing the new database info.

  
Actual results:
slapd process hangs.

Expected results:
cs80 clone gets created successfully.

Additional info:
gdb trace:
Thread 44 (Thread 0x59d4e940 (LWP 28558)):
#0  0x0000003615ccc5f2 in select () from /lib64/libc.so.6
#1  0x00002b634b489399 in DS_Sleep () from /usr/lib64/dirsrv/libslapd.so.0
#2  0x00002b634ed5ebf6 in ?? () from /usr/lib64/dirsrv/plugins/libreplication-plugin.so
#3  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#4  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 43 (Thread 0x59d2d940 (LWP 28555)):
#0  0x0000003615cdee6e in __lll_lock_wait_private () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---
#1  0x0000003615c76944 in _L_lock_15349 () from /lib64/libc.so.6
#2  0x0000003615c75901 in free () from /lib64/libc.so.6
#3  0x00002b634b44ea30 in ?? () from /usr/lib64/dirsrv/libslapd.so.0
#4  0x00002b634b44eb20 in ?? () from /usr/lib64/dirsrv/libslapd.so.0
#5  0x00002b634b44ece4 in slapd_log_error_proc () from /usr/lib64/dirsrv/libslapd.so.0
#6  0x00002b634fe3274c in ldbm_fetch_subtrees (be=0xd95fdf0, include=0xdd26f28, err=0x59d2d084)
    at ldap/servers/slapd/back-ldbm/ldif2ldbm.c:743
#7  0x00002b634fe3403d in ldbm_back_ldbm2index (pb=0xdd1efc0)
    at ldap/servers/slapd/back-ldbm/ldif2ldbm.c:1548
#8  0x00002b634b482c20 in ?? () from /usr/lib64/dirsrv/libslapd.so.0
#9  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#10 0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#11 0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 41 (Thread 0x5932c940 (LWP 28542)):
#0  0x000000361680a899 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362762278d in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#2  0x00002b634b47cf99 in slapi_wait_condvar () from /usr/lib64/dirsrv/libslapd.so.0
#3  0x00002b634e6cb82f in roles_cache_wait_on_change (arg=<value optimized out>)
    at ldap/servers/plugins/roles/roles_cache.c:434
#4  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#5  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 40 (Thread 0x40d05940 (LWP 27425)):
#0  0x0000003615ccc5f2 in select () from /lib64/libc.so.6
#1  0x00002b634b489399 in DS_Sleep () from /usr/lib64/dirsrv/libslapd.so.0
#2  0x00002b634fe0719e in deadlock_threadmain (param=<value optimized out>)
    at ldap/servers/slapd/back-ldbm/dblayer.c:3486
#3  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#4  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 39 (Thread 0x41706940 (LWP 27426)):
#0  0x0000003615ccc5f2 in select () from /lib64/libc.so.6
#1  0x00002b634b489399 in DS_Sleep () from /usr/lib64/dirsrv/libslapd.so.0
---Type <return> to continue, or q <return> to quit---
#2  0x00002b634fe073c8 in checkpoint_threadmain (param=0xd947720)
    at ldap/servers/slapd/back-ldbm/dblayer.c:3629
#3  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#4  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 38 (Thread 0x42107940 (LWP 27427)):
#0  0x0000003615ccc5f2 in select () from /lib64/libc.so.6
#1  0x00002b634b489399 in DS_Sleep () from /usr/lib64/dirsrv/libslapd.so.0
#2  0x00002b634fe06f25 in trickle_threadmain (param=<value optimized out>)
    at ldap/servers/slapd/back-ldbm/dblayer.c:3798
#3  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#4  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 37 (Thread 0x42b08940 (LWP 27428)):
#0  0x0000003615ccc5f2 in select () from /lib64/libc.so.6
#1  0x00002b634b489399 in DS_Sleep () from /usr/lib64/dirsrv/libslapd.so.0
#2  0x00002b634fe07867 in perf_threadmain (param=<value optimized out>)
    at ldap/servers/slapd/back-ldbm/dblayer.c:3421
#3  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#4  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 36 (Thread 0x43509940 (LWP 27429)):
#0  0x000000361680a899 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000362762278d in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#2  0x00002b634b47cf99 in slapi_wait_condvar () from /usr/lib64/dirsrv/libslapd.so.0
#3  0x00002b634e6cb82f in roles_cache_wait_on_change (arg=<value optimized out>)
    at ldap/servers/plugins/roles/roles_cache.c:434
#4  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#5  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 35 (Thread 0x43f0a940 (LWP 27430)):
#0  0x000000361680a899 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#1  0x000000362762278d in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#2  0x00002b634b47cf99 in slapi_wait_condvar () from /usr/lib64/dirsrv/libslapd.so.0
#3  0x00002b634f3cd0ae in cos_cache_wait_on_change (arg=<value optimized out>)
    at ldap/servers/plugins/cos/cos_cache.c:476
#4  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#5  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 34 (Thread 0x4490b940 (LWP 27431)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x00000000004188d3 in housecleaning (cur_time=<value optimized out>)
    at ldap/servers/slapd/house.c:77
#4  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#5  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 33 (Thread 0x4530c940 (LWP 27432)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x00002b634b43ddff in ?? () from /usr/lib64/dirsrv/libslapd.so.0
#4  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#5  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 32 (Thread 0x45d0d940 (LWP 27437)):
#0  0x0000003615cdee6e in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x0000003615c76944 in _L_lock_15349 () from /lib64/libc.so.6
#2  0x0000003615c75901 in free () from /lib64/libc.so.6
#3  0x0000003614c0c219 in _dl_map_object_deps () from /lib64/ld-linux-x86-64.so.2
#4  0x0000003614c10ccd in dl_open_worker () from /lib64/ld-linux-x86-64.so.2
#5  0x0000003614c0ceb6 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
#6  0x0000003614c1066c in _dl_open () from /lib64/ld-linux-x86-64.so.2
#7  0x0000003615d07a80 in do_dlopen () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---
#8  0x0000003614c0ceb6 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
#9  0x0000003615d07be7 in __libc_dlopen_mode () from /lib64/libc.so.6
#10 0x0000003615ce527a in init () from /lib64/libc.so.6
#11 0x000000361680ba33 in pthread_once () from /lib64/libpthread.so.0
#12 0x0000003615ce5317 in backtrace () from /lib64/libc.so.6
#13 0x0000003615c6a80f in __libc_message () from /lib64/libc.so.6
#14 0x0000003615c71ce2 in _int_free () from /lib64/libc.so.6
#15 0x0000003615c7590c in free () from /lib64/libc.so.6
#16 0x00002b634b42d516 in slapi_ch_free () from /usr/lib64/dirsrv/libslapd.so.0
#17 0x00002b634b428c13 in attr_done () from /usr/lib64/dirsrv/libslapd.so.0
#18 0x00002b634b428c8b in slapi_attr_free () from /usr/lib64/dirsrv/libslapd.so.0
#19 0x00002b634b429424 in attrlist_free () from /usr/lib64/dirsrv/libslapd.so.0
#20 0x00002b634b43940f in slapi_entry_free () from /usr/lib64/dirsrv/libslapd.so.0
#21 0x00002b634ed7ba0c in ?? () from /usr/lib64/dirsrv/plugins/libreplication-plugin.so
#22 0x00002b634ed7e6e8 in replica_new_from_entry ()
   from /usr/lib64/dirsrv/plugins/libreplication-plugin.so
#23 0x00002b634ed7ff50 in ?? () from /usr/lib64/dirsrv/plugins/libreplication-plugin.so
#24 0x00002b634b434599 in ?? () from /usr/lib64/dirsrv/libslapd.so.0
#25 0x00002b634b43517c in dse_add () from /usr/lib64/dirsrv/libslapd.so.0
#26 0x00002b634b42680b in ?? () from /usr/lib64/dirsrv/libslapd.so.0
#27 0x00002b634b427797 in do_add () from /usr/lib64/dirsrv/libslapd.so.0
#28 0x00000000004127e1 in connection_threadmain () at ldap/servers/slapd/connection.c:487
#29 0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#30 0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#31 0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 31 (Thread 0x4670e940 (LWP 27438)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4670e098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 30 (Thread 0x4710f940 (LWP 27439)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4710f098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x47b10940 (LWP 27440)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x47b10098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x48511940 (LWP 27441)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x48511098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x48f12940 (LWP 27442)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x48f12098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x49913940 (LWP 27443)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x49913098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x4a314940 (LWP 27444)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4a314098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x4ad15940 (LWP 27445)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4ad15098, interval=10000)
---Type <return> to continue, or q <return> to quit---
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x4b716940 (LWP 27446)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4b716098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x4c117940 (LWP 27447)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4c117098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x4cb18940 (LWP 27448)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4cb18098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x4d519940 (LWP 27449)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4d519098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x4df1a940 (LWP 27450)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4df1a098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x4e91b940 (LWP 27451)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4e91b098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

---Type <return> to continue, or q <return> to quit---
Thread 17 (Thread 0x4f31c940 (LWP 27452)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4f31c098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x4fd1d940 (LWP 27453)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x4fd1d098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x5071e940 (LWP 27454)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x5071e098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x5111f940 (LWP 27455)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x5111f098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x51b20940 (LWP 27456)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x51b20098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x52521940 (LWP 27457)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x52521098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x52f22940 (LWP 27458)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x52f22098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
---Type <return> to continue, or q <return> to quit---
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x53923940 (LWP 27459)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x53923098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x54324940 (LWP 27460)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x54324098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x54d25940 (LWP 27461)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x54d25098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x55726940 (LWP 27462)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x55726098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x56127940 (LWP 27463)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x56127098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x56b28940 (LWP 27464)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x56b28098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x57529940 (LWP 27465)):
---Type <return> to continue, or q <return> to quit---
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x57529098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x57f2a940 (LWP 27466)):
#0  0x000000361680ab00 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003627621ad9 in ?? () from /usr/lib64/libnspr4.so
#2  0x00000036276226f9 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x0000000000411db1 in connection_wait_for_new_pb (ppb=0x57f2a098, interval=10000)
    at ldap/servers/slapd/connection.c:1571
#4  0x00000000004126d1 in connection_threadmain () at ldap/servers/slapd/connection.c:2042
#5  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#6  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x5892b940 (LWP 27467)):
#0  0x0000003615ccc5f2 in select () from /lib64/libc.so.6
#1  0x00002b634b489399 in DS_Sleep () from /usr/lib64/dirsrv/libslapd.so.0
#2  0x000000000041608c in time_thread (nothing=<value optimized out>) at ldap/servers/slapd/daemon.c:464
#3  0x0000003627627ded in ?? () from /usr/lib64/libnspr4.so
#4  0x0000003616806367 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003615cd30ad in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x2b634bb4d680 (LWP 27402)):
#0  0x0000003615cdee6e in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x0000003615c76944 in _L_lock_15349 () from /lib64/libc.so.6
#2  0x0000003615c75901 in free () from /lib64/libc.so.6
#3  0x0000003615c8bd5a in tzset_internal () from /lib64/libc.so.6
#4  0x0000003615c8c690 in tzset () from /lib64/libc.so.6
#5  0x0000003615c90fb4 in strftime_l () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---
#6  0x00002b634b451502 in slapi_log_access () from /usr/lib64/dirsrv/libslapd.so.0
#7  0x0000000000412d76 in connection_reset (conn=0x2aaaaaaaffe8, ns=73, from=<value optimized out>, 
    fromLen=<value optimized out>, is_SSL=0) at ldap/servers/slapd/connection.c:354
#8  0x0000000000415c80 in slapd_daemon (ports=0x7fff5f6be9e0) at ldap/servers/slapd/daemon.c:2333
#9  0x000000000041b9c7 in main (argc=7, argv=0x7fff5f6bed78) at ldap/servers/slapd/main.c:1202
(gdb)
Comment 1 Chandrasekar Kannan 2009-02-18 14:49:36 EST
we need some immediate attention to this bug as it is blocking CS 8.0 QE
Comment 2 Rich Megginson 2009-02-18 15:01:03 EST
Nathan, this looks very similar to a problem you worked on.
Comment 3 Rich Megginson 2009-02-18 15:26:05 EST
What version of DS is this?
Comment 4 Asha Akkiangady 2009-02-18 15:27:01 EST
Test is run on RHEL5.3 x86_64.

Tried with the latest rpms for both redhat-ds-base and pki-ca and the issue is reproducible:

rpm -qi redhat-ds-base

Name        : redhat-ds-base               Relocations: (not relocatable)
Version     : 8.1.0                             Vendor: Red Hat, Inc.
Release     : 20090218.el5dsrv              Build Date: Wed 18 Feb 2009 01:14:13 AM PST
Install Date: Wed 18 Feb 2009 11:10:46 AM PST      Build Host: hs20-bc1-7.build.redhat.com
Group       : System Environment/Daemons    Source RPM: redhat-ds-base-8.1.0-20090218.el5dsrv.src.rpm
Size        : 5096593                          License: GPLv2 with exceptions
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.redhat.com/directory_server/
Summary     : Red Hat Directory Server (base)
Description :
Red Hat Directory Server is an LDAPv3 compliant server.  The base package includes
the LDAP server and command line utilities for server administration.


rpm -qi pki-ca

Name        : pki-ca                       Relocations: (not relocatable)
Version     : 8.0.0                             Vendor: Red Hat, Inc.
Release     : 10                            Build Date: Wed 18 Feb 2009 02:54:00 AM PST
Install Date: Wed 18 Feb 2009 12:11:58 PM PST      Build Host: payday.dsdev.sjc.redhat.com
Group       : System Environment/Daemons    Source RPM: pki-ca-8.0.0-10.src.rpm
Size        : 828650                           License: GPLv2 with exceptions
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.redhat.com/certificate_system
Summary     : Red Hat Certificate System - Certificate Authority
Description :
Red Hat Certificate System is an enterprise software system designed
to manage enterprise Public Key Infrastructure (PKI) deployments.
Comment 5 Rich Megginson 2009-02-18 15:43:34 EST
I would like to run this again with valgrind.  Please contact me ASAP and I can help you set up directory server with valgrind.
Comment 6 Asha Akkiangady 2009-02-18 18:38:33 EST
valgrind report:

==12026== Memcheck, a memory error detector.
==12026== Copyright (C) 2002-2006, and GNU GPL'd, by Julian Seward et al.
==12026== Using LibVEX rev 1658, a library for dynamic binary translation.
==12026== Copyright (C) 2004-2006, and GNU GPL'd, by OpenWorks LLP.
==12026== Using valgrind-3.2.1, a dynamic binary instrumentation framework.
==12026== Copyright (C) 2000-2006, and GNU GPL'd, by Julian Seward et al.
==12026== For more details, rerun with: -v
==12026==
==12026== My PID = 12026, parent PID = 12019.  Prog and args are:
==12026==    ./ns-slapd.orig
==12026==    -D
==12026==    /etc/dirsrv/slapd-dhcp-1106
==12026==    -i
==12026==    /var/run/dirsrv/slapd-dhcp-1106.pid
==12026==    -w
==12026==    /var/run/dirsrv/slapd-dhcp-1106.startpid
==12026==
==12026==
==12026== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 58 from 2)
==12026== malloc/free: in use at exit: 1,408,357 bytes in 20,821 blocks.
==12026== malloc/free: 141,942 allocs, 121,121 frees, 18,457,419 bytes allocated.
==12026== For counts of detected errors, rerun with: -v
==12026== searching for pointers to 20,821 not-freed blocks.
==12026== checked 2,019,392 bytes.
==12026==
==12026== LEAK SUMMARY:
==12026==    definitely lost: 0 bytes in 0 blocks.
==12026==    indirectly lost: 3,669 bytes in 57 blocks.
==12026==      possibly lost: 0 bytes in 0 blocks.
==12026==    still reachable: 1,325,737 bytes in 19,849 blocks.
==12026==         suppressed: 78,951 bytes in 915 blocks.
==12026== Reachable blocks (those to which a pointer was found) are not shown.
==12026== To see them, rerun with: --show-reachable=yes
==12037== Conditional jump or move depends on uninitialised value(s)
==12037==    at 0x3615CE5CE0: __strcpy_chk (in /lib64/libc-2.5.so)
==12037==    by 0x4C6E7D1: slapi_log_access (log.c:2008)
==12037==    by 0x412D75: connection_reset (connection.c:354)
==12037==    by 0x415C7F: slapd_daemon (daemon.c:2333)
==12037==    by 0x41B9D6: main (main.c:1202)
==12037==
==12037== Thread 12:
==12037== Conditional jump or move depends on uninitialised value(s)
==12037==    at 0x3615CE5CE0: __strcpy_chk (in /lib64/libc-2.5.so)
==12037==    by 0x4C6E7D1: slapi_log_access (log.c:2008)
==12037==    by 0x4C8E0FA: log_result (result.c:1732)
==12037==    by 0x4C8EB9E: send_ldap_result_ext (result.c:539)
==12037==    by 0x4C8ED10: send_ldap_result (result.c:218)
==12037==    by 0x4C82AD3: slapi_send_ldap_result (plugin.c:617)
==12037==    by 0x9DAB926: ldbm_back_modify (ldbm_modify.c:524)
==12037==    by 0x4C77359: op_shared_modify (modify.c:798)
==12037==    by 0x4C7814C: do_modify (modify.c:341)
==12037==    by 0x4127FD: connection_threadmain (connection.c:502)
==12037==    by 0x3627627DEC: (within /usr/lib64/libnspr4.so)
==12037==    by 0x3616806366: start_thread (in /lib64/libpthread-2.5.so)
==12037==    by 0x3615CD30AC: clone (in /lib64/libc-2.5.so)
==12037==
==12037== Thread 13:
==12037== Conditional jump or move depends on uninitialised value(s)
==12037==    at 0x3615CE5CE0: __strcpy_chk (in /lib64/libc-2.5.so)
==12037==    by 0x4C6E7D1: slapi_log_access (log.c:2008)
==12037==    by 0x4244E2: do_unbind (unbind.c:110)
==12037==    by 0x4127A6: connection_threadmain (connection.c:482)
==12037==    by 0x3627627DEC: (within /usr/lib64/libnspr4.so)
==12037==    by 0x3616806366: start_thread (in /lib64/libpthread-2.5.so)
==12037==    by 0x3615CD30AC: clone (in /lib64/libc-2.5.so)
==12037==
==12037== Thread 21:
==12037== Conditional jump or move depends on uninitialised value(s)
==12037==    at 0x3615CE5CE0: __strcpy_chk (in /lib64/libc-2.5.so)
==12037==    by 0x4C6E7D1: slapi_log_access (log.c:2008)
==12037==    by 0x4C43538: op_shared_add (add.c:444)
==12037==    by 0x4C44916: do_add (add.c:225)
==12037==    by 0x4127E0: connection_threadmain (connection.c:487)
==12037==    by 0x3627627DEC: (within /usr/lib64/libnspr4.so)
==12037==    by 0x3616806366: start_thread (in /lib64/libpthread-2.5.so)
==12037==    by 0x3615CD30AC: clone (in /lib64/libc-2.5.so)
==12037==
==12037== Thread 11:
==12037== Conditional jump or move depends on uninitialised value(s)
==12037==    at 0x3615CE5CE0: __strcpy_chk (in /lib64/libc-2.5.so)
==12037==    by 0x4C6E7D1: slapi_log_access (log.c:2008)
==12037==    by 0x4C77031: op_shared_modify (modify.c:587)
==12037==    by 0x4C7814C: do_modify (modify.c:341)
==12037==    by 0x4127FD: connection_threadmain (connection.c:502)
==12037==    by 0x3627627DEC: (within /usr/lib64/libnspr4.so)
==12037==    by 0x3616806366: start_thread (in /lib64/libpthread-2.5.so)
==12037==    by 0x3615CD30AC: clone (in /lib64/libc-2.5.so)
==12037==
==12037== Thread 15:
==12037== Conditional jump or move depends on uninitialised value(s)
==12037==    at 0x3615CE5CEB: __strcpy_chk (in /lib64/libc-2.5.so)
==12037==    by 0x4C6E7D1: slapi_log_access (log.c:2008)
==12037==    by 0x4C8E0FA: log_result (result.c:1732)
==12037==    by 0x4C8EB9E: send_ldap_result_ext (result.c:539)
==12037==    by 0x4C8ED10: send_ldap_result (result.c:218)
==12037==    by 0x4C82AD3: slapi_send_ldap_result (plugin.c:617)
==12037==    by 0x9D8E622: find_entry_internal (findentry.c:171)
==12037==    by 0x9DC0136: vlvSearch_init (vlv_srch.c:192)
==12037==    by 0x9DBEA8E: vlv_AddSearchEntry (vlv.c:82)
==12037==    by 0x4C516F8: dse_call_callback (dse.c:2198)
==12037==    by 0x4C522DC: dse_add (dse.c:2024)
==12037==    by 0x4C4398A: op_shared_add (add.c:624)
==12037==    by 0x4C44916: do_add (add.c:225)
==12037==    by 0x4127E0: connection_threadmain (connection.c:487)
==12037==    by 0x3627627DEC: (within /usr/lib64/libnspr4.so)
==12037==    by 0x3616806366: start_thread (in /lib64/libpthread-2.5.so)
==12037==    by 0x3615CD30AC: clone (in /lib64/libc-2.5.so)
==12037==
==12037== ERROR SUMMARY: 54 errors from 6 contexts (suppressed: 61 from 2)
==12037== malloc/free: in use at exit: 3,359,398 bytes in 21,136 blocks.
==12037== malloc/free: 1,714,987 allocs, 1,693,851 frees, 330,521,836 bytes allocated.
==12037== For counts of detected errors, rerun with: -v
==12037== searching for pointers to 21,136 not-freed blocks.
==12037== checked 3,803,512 bytes.
==12037==
==12037== Thread 1:
==12037==
==12037== 1 bytes in 1 blocks are definitely lost in loss record 4 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x3615C78AC1: strdup (in /lib64/libc-2.5.so)
==12037==    by 0x4C4A831: slapi_ch_strdup (ch_malloc.c:277)
==12037==    by 0xA0E2C1D: cb_instance_userpassword_set (cb_instance.c:914)
==12037==    by 0xA0E394C: cb_instance_config_set_default (cb_instance.c:174)
==12037==    by 0xA0E4B42: cb_create_default_backend_instance_config (cb_instance.c:1919)
==12037==    by 0xA0DF6C7: cb_config_load_dse_info (cb_config.c:173)
==12037==    by 0xA0E839A: chainingdb_start (cb_start.c:65)
==12037==    by 0x4C81CFC: plugin_call_func (plugin.c:1369)
==12037==    by 0x4C8265B: plugin_startall (plugin.c:1128)
==12037==    by 0x41B645: main (main.c:1113)
==12037==
==12037==
==12037== 1 bytes in 1 blocks are definitely lost in loss record 5 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x3615C78AC1: strdup (in /lib64/libc-2.5.so)
==12037==    by 0x4C4A831: slapi_ch_strdup (ch_malloc.c:277)
==12037==    by 0xA0E2F54: cb_instance_binduser_set (cb_instance.c:852)
==12037==    by 0xA0E394C: cb_instance_config_set_default (cb_instance.c:174)
==12037==    by 0xA0E4B42: cb_create_default_backend_instance_config (cb_instance.c:1919)
==12037==    by 0xA0DF6C7: cb_config_load_dse_info (cb_config.c:173)
==12037==    by 0xA0E839A: chainingdb_start (cb_start.c:65)
==12037==    by 0x4C81CFC: plugin_call_func (plugin.c:1369)
==12037==    by 0x4C8265B: plugin_startall (plugin.c:1128)
==12037==    by 0x41B645: main (main.c:1113)
==12037==
==12037==
==12037== 1 bytes in 1 blocks are definitely lost in loss record 6 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x3615C78AC1: strdup (in /lib64/libc-2.5.so)
==12037==    by 0x4C4A831: slapi_ch_strdup (ch_malloc.c:277)
==12037==    by 0xA0E2F41: cb_instance_binduser_set (cb_instance.c:851)
==12037==    by 0xA0E394C: cb_instance_config_set_default (cb_instance.c:174)
==12037==    by 0xA0E4B42: cb_create_default_backend_instance_config (cb_instance.c:1919)
==12037==    by 0xA0DF6C7: cb_config_load_dse_info (cb_config.c:173)
==12037==    by 0xA0E839A: chainingdb_start (cb_start.c:65)
==12037==    by 0x4C81CFC: plugin_call_func (plugin.c:1369) 
==12037==    by 0x4C8265B: plugin_startall (plugin.c:1128)
==12037==    by 0x41B645: main (main.c:1113)
==12037==    
==12037==    
==12037== 1 bytes in 1 blocks are definitely lost in loss record 7 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x3615C78AC1: strdup (in /lib64/libc-2.5.so)
==12037==    by 0x4C4A831: slapi_ch_strdup (ch_malloc.c:277)
==12037==    by 0xA0E30C2: cb_instance_hosturl_set (cb_instance.c:721)
==12037==    by 0xA0E394C: cb_instance_config_set_default (cb_instance.c:174)
==12037==    by 0xA0E4B42: cb_create_default_backend_instance_config (cb_instance.c:1919)
==12037==    by 0xA0DF6C7: cb_config_load_dse_info (cb_config.c:173)
==12037==    by 0xA0E839A: chainingdb_start (cb_start.c:65)
==12037==    by 0x4C81CFC: plugin_call_func (plugin.c:1369)
==12037==    by 0x4C8265B: plugin_startall (plugin.c:1128)
==12037==    by 0x41B645: main (main.c:1113)
==12037==    
==12037==    
==12037== 16 bytes in 1 blocks are definitely lost in loss record 208 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x4C4A9DA: slapi_ch_malloc (ch_malloc.c:155)
==12037==    by 0x4C4A39A: charray_add (charray.c:62)
==12037==    by 0x9D8669C: dblayer_make_env (dblayer.c:1238)
==12037==    by 0x9D889B3: dblayer_start (dblayer.c:1502)
==12037==    by 0x9DBACD0: ldbm_back_start (start.c:176)
==12037==    by 0x4C81CFC: plugin_call_func (plugin.c:1369)
==12037==    by 0x4C8265B: plugin_startall (plugin.c:1128)
==12037==    by 0x41B645: main (main.c:1113)
==12037==
==12037== 
==12037== 17,401 (80 direct, 17,321 indirect) bytes in 1 blocks are definitely lost in loss record 814 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x4C4A8F7: slapi_ch_calloc (ch_malloc.c:243)
==12037==    by 0x9DBF402: vlvSearch_new (vlv_srch.c:75)
==12037==    by 0x9DBEA6C: vlv_AddSearchEntry (vlv.c:76)
==12037==    by 0x4C516F8: dse_call_callback (dse.c:2198)
==12037==    by 0x4C522DC: dse_add (dse.c:2024)
==12037==    by 0x4C4398A: op_shared_add (add.c:624)
==12037==    by 0x4C44916: do_add (add.c:225)
==12037==    by 0x4127E0: connection_threadmain (connection.c:487)
==12037==    by 0x3627627DEC: (within /usr/lib64/libnspr4.so)
==12037==    by 0x3616806366: start_thread (in /lib64/libpthread-2.5.so)
==12037==    by 0x3615CD30AC: clone (in /lib64/libc-2.5.so)
==12037==    
==12037==    
==12037== 389 (24 direct, 365 indirect) bytes in 1 blocks are definitely lost in loss record 1,103 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x9D85F27: dblayer_make_env (dblayer.c:1194)
==12037==    by 0x9D889B3: dblayer_start (dblayer.c:1502)
==12037==    by 0x9DBACD0: ldbm_back_start (start.c:176)
==12037==    by 0x4C81CFC: plugin_call_func (plugin.c:1369)
==12037==    by 0x4C8265B: plugin_startall (plugin.c:1128)
==12037==    by 0x41B645: main (main.c:1113) 
==12037==    
==12037==    
==12037== 40 bytes in 1 blocks are possibly lost in loss record 1,384 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626275DD6: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626EE17: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037== 
==12037==    
==12037== 48 bytes in 1 blocks are possibly lost in loss record 1,389 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x36262ED1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EFFDF: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EDBED: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EC4EA: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262A61C3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F0E3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 48 bytes in 1 blocks are possibly lost in loss record 1,390 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x36262ED1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EFFDF: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EDBED: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EC4EA: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262A619A: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F0E3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 48 bytes in 1 blocks are possibly lost in loss record 1,391 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x36262ED1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EFFDF: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EDBED: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EC4EA: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262A6171: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F0E3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 48 bytes in 1 blocks are possibly lost in loss record 1,392 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x36262ED1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EFFDF: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EDBED: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EC4EA: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262A6148: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F0E3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 48 bytes in 1 blocks are possibly lost in loss record 1,393 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x36262ED1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EFFDF: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EDBED: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EC4EA: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262A611F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F0E3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 48 bytes in 1 blocks are possibly lost in loss record 1,394 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x36262ED1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EFFDF: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EDBED: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EC4EA: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262A60F6: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F0E3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==    
==12037==
==12037== 48 bytes in 1 blocks are possibly lost in loss record 1,395 of 1,753
==12037==    at 0x4A05809: malloc (vg_replace_malloc.c:149)
==12037==    by 0x36262ED1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EFFDF: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EDBED: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262EC4EA: (within /usr/lib64/libnss3.so)
==12037==    by 0x36262A5FDD: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F0E3: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==    
==12037==
==12037== 72 bytes in 1 blocks are possibly lost in loss record 1,475 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x36266018D9: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626C1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626268BE4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626EE45: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 72 bytes in 1 blocks are possibly lost in loss record 1,476 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x36266018D9: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626C1B6: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626268BE4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626EE45: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037== 
==12037== 72 bytes in 1 blocks are possibly lost in loss record 1,477 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x36266018D9: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B504: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037== 
==12037==    
==12037== 72 bytes in 1 blocks are possibly lost in loss record 1,478 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x36266018D9: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B4F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 72 bytes in 1 blocks are possibly lost in loss record 1,479 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x36266018D9: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B4DC: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 72 bytes in 1 blocks are possibly lost in loss record 1,480 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x36266018D9: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B4C8: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 80 bytes in 1 blocks are possibly lost in loss record 1,488 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626274C1C: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626275D36: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626275D68: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626275DE6: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626EE17: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 144 bytes in 1 blocks are possibly lost in loss record 1,507 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626601916: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626C1C9: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626268BE4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626EE45: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037==
==12037== 144 bytes in 1 blocks are possibly lost in loss record 1,508 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626601916: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626C1B6: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626268BE4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626EE45: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==    
==12037==    
==12037== 272 bytes in 1 blocks are possibly lost in loss record 1,578 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626601916: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B504: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==    
==12037==    
==12037== 272 bytes in 1 blocks are possibly lost in loss record 1,579 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626601916: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B4F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==    
==12037==    
==12037== 272 bytes in 1 blocks are possibly lost in loss record 1,580 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626601916: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B4DC: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==    
==12037==    
==12037== 272 bytes in 1 blocks are possibly lost in loss record 1,581 of 1,753
==12037==    at 0x4A04B32: calloc (vg_replace_malloc.c:279)
==12037==    by 0x362627498F: (within /usr/lib64/libnss3.so)
==12037==    by 0x3626601916: PL_NewHashTable (in /usr/lib64/libplds4.so)
==12037==    by 0x362627615F: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626B4C8: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626A1F0: (within /usr/lib64/libnss3.so)
==12037==    by 0x362626ED76: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621EFF4: (within /usr/lib64/libnss3.so)
==12037==    by 0x362621F4E0: NSS_Initialize (in /usr/lib64/libnss3.so)
==12037==    by 0x4C9C43F: slapd_nss_init (ssl.c:476)
==12037==    by 0x418AA9: slapd_do_all_nss_ssl_init (main.c:2952)
==12037==    by 0x4169D6: detach (detach.c:113)
==12037==    by 0x41B507: main (main.c:1006)
==12037==
==12037== LEAK SUMMARY:
==12037==    definitely lost: 124 bytes in 7 blocks.
==12037==    indirectly lost: 29,929 bytes in 810 blocks.
==12037==      possibly lost: 2,264 bytes in 21 blocks.
==12037==    still reachable: 3,200,494 bytes in 19,211 blocks.
==12037==         suppressed: 126,587 bytes in 1,087 blocks.
==12037== Reachable blocks (those to which a pointer was found) are not shown.
==12037== To see them, rerun with: --show-reachable=yes
Comment 7 Rich Megginson 2009-02-19 15:53:25 EST
Created attachment 332636 [details]
diffs
Comment 8 Rich Megginson 2009-02-19 16:28:32 EST
Created attachment 332641 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Fix Description: If replication code attempts to add the RUV entry during replica configuration, and the add operation returns an error, the code will attempt to free the entry.  This causes a double free.  Internal add operations always consume and free the entry, success or failure.  The solution is to set the entry to NULL just after adding it so the clean up code will not be able to free it again.
Platforms tested: RHEL5
Flag Day: no
Doc impact: no
Comment 9 Rich Megginson 2009-02-19 16:29:47 EST
Note that even with this bug fix, CS 8.0 cloning will fail.  It must wait until the vlv indexing job is complete, and the database is in read-write mode, before attempting to perform replication set up.
Comment 10 Rich Megginson 2009-02-19 18:40:03 EST
Resolves: bug 486191
Description:  slapd hang during cs80 cloning setup.
Fix Description: Not exactly related to the bug, but Noriko found a couple of places during investigation of internal add operations where the Slapi_Entry* could be leaked upon error.  These fixes ensure that the entry is properly freed in case of error.

Checking in cl4_api.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/replication/cl4_api.c,v  <--  cl4_api.c
new revision: 1.7; previous revision: 1.6
done

Checking in windows_protocol_util.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/replication/windows_protocol_util.c,v  <--  windows_protocol_util.c
new revision: 1.52; previous revision: 1.51
done
Comment 11 Asha Akkiangady 2009-02-20 16:26:15 EST
Tried the cloning setup with the DS fix, slapd is not hanging, but getting error message "Failed to setup the replication for cloning". 

debug log messages:
[20/Feb/2009:12:25:30][http-9843-Processor24]: WizardServlet: process
[20/Feb/2009:12:25:30][http-9843-Processor24]: WizardServlet:serice() uri = /ca/admin/console/config/wizard
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='basedn' value='dc=dhcp-110.sjc.redhat.com-pki-ca'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='p' value='7'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='port' value='4008'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='binddn' value='cn=Directory Manager'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='__bindpwd' value='(sensitive)'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='op' value='next'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='display' value='$displayStr'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='database' value='dhcp-110.sjc.redhat.com-pki-ca'
[20/Feb/2009:12:25:30][http-9843-Processor24]: CMSServlet::service() param name='host' value='localhost'
[20/Feb/2009:12:25:30][http-9843-Processor24]: WizardServlet: op=next
[20/Feb/2009:12:25:30][http-9843-Processor24]: WizardServlet: size=19
[20/Feb/2009:12:25:30][http-9843-Processor24]: WizardServlet: in next 7
[20/Feb/2009:12:25:30][http-9843-Processor24]: CertRequestPanel cleanup: get certificate repository
[20/Feb/2009:12:25:30][http-9843-Processor24]: makeConnection: errorIfDown true
[20/Feb/2009:12:25:30][http-9843-Processor24]: CertRequestPanel cleanUp exception in removing all objects: java.lang.NullPointerException
[20/Feb/2009:12:25:30][http-9843-Processor24]: CertRequestPanel cleanUp exception in resetting serial number: java.lang.NumberFormatException: For input string: "fe80001"
[20/Feb/2009:12:25:30][http-9843-Processor24]: DatabasePanel populateDB: creating non-secure (non-SSL) connection for internal ldap
[20/Feb/2009:12:25:30][http-9843-Processor24]: DatabasePanel connecting to localhost:4008
[20/Feb/2009:12:25:30][http-9843-Processor24]: Creating base DN: dc=dhcp-110.sjc.redhat.com-pki-ca
[20/Feb/2009:12:25:30][http-9843-Processor24]: DatabasePanel checking existing dc=dhcp-110.sjc.redhat.com-pki-ca
[20/Feb/2009:12:25:30][http-9843-Processor24]: DatabasePanel populateDB param=preop.internaldb.ldif
[20/Feb/2009:12:25:30][http-9843-Processor24]: DatabasePanel update: database=dhcp-110.sjc.redhat.com-pki-ca
[20/Feb/2009:12:25:30][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file = /usr/share/pki/ca/conf/schema.ldif
[20/Feb/2009:12:25:30][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file copy to /var/lib/ipa-ca/conf/schema.ldif
[20/Feb/2009:12:25:31][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file = /usr/share/pki/ca/conf/database.ldif
[20/Feb/2009:12:25:31][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file copy to /var/lib/ipa-ca/conf/database.ldif
[20/Feb/2009:12:25:31][http-9843-Processor24]: DatabasePanel populateDB param=preop.internaldb.index_ldif
[20/Feb/2009:12:25:31][http-9843-Processor24]: DatabasePanel update: database=dhcp-110.sjc.redhat.com-pki-ca
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapBoundConnFactory: init
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapBoundConnFactory:doCloning true
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: init()
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: init begins
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: init: prompt is Internal LDAP Database
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: init: try getting from memory cache
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: init: password not in memory
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: getPasswordFromStore: try to get it from password store
[20/Feb/2009:12:25:31][http-9843-Processor24]: CMSEngine: getPasswordStore(): password store initialized before.
[20/Feb/2009:12:25:31][http-9843-Processor24]: CMSEngine: getPasswordStore(): password store initialized.
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: getPasswordFromStore: about to get from passwored store: Internal LDAP Database
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: getPasswordFromStore: password store available
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: getPasswordFromStore: password for Internal LDAP Database not found, trying internaldb
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: password ok: store in memory cache
[20/Feb/2009:12:25:31][http-9843-Processor24]: LdapAuthInfo: init ends
[20/Feb/2009:12:25:31][http-9843-Processor24]: init: before makeConnection errorIfDown is true
[20/Feb/2009:12:25:31][http-9843-Processor24]: makeConnection: errorIfDown true
[20/Feb/2009:12:25:31][http-9843-Processor24]: Established LDAP connection using basic authentication to host localhost port 4008 as cn=Directory Manager
[20/Feb/2009:12:25:32][http-9843-Processor24]: initializing with mininum 3 and maximum 15 connections to host localhost port 4008, secure connection, false, authentication type 1
[20/Feb/2009:12:25:32][http-9843-Processor24]: increasing minimum connections by 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new total available connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new number of connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: CertificateAuthority init
[20/Feb/2009:12:25:32][http-9843-Processor24]: Cert Repot inited
[20/Feb/2009:12:25:32][http-9843-Processor24]: CRL Repot inited
[20/Feb/2009:12:25:32][http-9843-Processor24]: Replica Repot inited
[20/Feb/2009:12:25:32][http-9843-Processor24]: ca.signing Signing Unit nickname caSigningCert cert-pki-ca
[20/Feb/2009:12:25:32][http-9843-Processor24]: Got token Internal Key Storage Token by name
[20/Feb/2009:12:25:32][http-9843-Processor24]: SigningUnit init: debug org.mozilla.jss.crypto.ObjectNotFoundException
[20/Feb/2009:12:25:32][http-9843-Processor24]: init: before makeConnection errorIfDown is false
[20/Feb/2009:12:25:32][http-9843-Processor24]: makeConnection: errorIfDown false
[20/Feb/2009:12:25:32][http-9843-Processor24]: Established LDAP connection using basic authentication to host localhost port 4008 as cn=Directory Manager
[20/Feb/2009:12:25:32][http-9843-Processor24]: initializing with mininum 3 and maximum 20 connections to host localhost port 4008, secure connection, false, authentication type 1
[20/Feb/2009:12:25:32][http-9843-Processor24]: increasing minimum connections by 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new total available connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new number of connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: increasing minimum number of connections by 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new total number of connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new total available connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: Splitting String: UID on commas
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth:    countTokens:1
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth:    token 0 = UID
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: Splitting String: PWD on commas
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth:    countTokens:1
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth:    token 0 = PWD
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: unionOfStrings: 0,0 = UID
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: unionOfStrings: 1,0 = PWD
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: mFilename      = /var/lib/ipa-ca/conf/flatfile.txt
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: mKeyAttributes = UID
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: mAuthAttrs     = PWD
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: stringArrays[0][0] = UID
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: stringArrays[1][0] = PWD
[20/Feb/2009:12:25:32][http-9843-Processor24]: FlatFileAuth: Read entries from password file - /var/lib/ipa-ca/conf/flatfile.txt
[20/Feb/2009:12:25:32][http-9843-Processor24]: Found authz manager plugin BasicAclAuthz
[20/Feb/2009:12:25:32][http-9843-Processor24]: AAclAuthz: init begins
[20/Feb/2009:12:25:32][http-9843-Processor24]: UserOrigReqAccessEvaluator: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: GroupAccessEvaluator: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: UserAccessEvaluator: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: Found authz manager plugin DirAclAuthz
[20/Feb/2009:12:25:32][http-9843-Processor24]: AAclAuthz: init begins
[20/Feb/2009:12:25:32][http-9843-Processor24]: UserOrigReqAccessEvaluator: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: GroupAccessEvaluator: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: UserAccessEvaluator: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapBoundConnFactory: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapBoundConnFactory:doCloning true
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init()
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init begins
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: prompt is Internal LDAP Database
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: try getting from memory cache
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: got password from memory
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: password found for prompt.
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: password ok: store in memory cache
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init ends
[20/Feb/2009:12:25:32][http-9843-Processor24]: init: before makeConnection errorIfDown is false
[20/Feb/2009:12:25:32][http-9843-Processor24]: makeConnection: errorIfDown false
[20/Feb/2009:12:25:32][http-9843-Processor24]: Established LDAP connection using basic authentication to host localhost port 4008 as cn=Directory Manager
[20/Feb/2009:12:25:32][http-9843-Processor24]: initializing with mininum 3 and maximum 15 connections to host localhost port 4008, secure connection, false, authentication type 1
[20/Feb/2009:12:25:32][http-9843-Processor24]: increasing minimum connections by 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new total available connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new number of connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: DirAclAuthz: about to ldap search aclResources
[20/Feb/2009:12:25:32][http-9843-Processor24]: getConn: mNumConns now 2
[20/Feb/2009:12:25:32][http-9843-Processor24]: returnConn: mNumConns now 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapBoundConnFactory: init
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapBoundConnFactory:doCloning true
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init()
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init begins
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: prompt is Internal LDAP Database
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: try getting from memory cache
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: got password from memory
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init: password found for prompt.
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: password ok: store in memory cache
[20/Feb/2009:12:25:32][http-9843-Processor24]: LdapAuthInfo: init ends
[20/Feb/2009:12:25:32][http-9843-Processor24]: init: before makeConnection errorIfDown is false
[20/Feb/2009:12:25:32][http-9843-Processor24]: makeConnection: errorIfDown false
[20/Feb/2009:12:25:32][http-9843-Processor24]: makeConnection: errorIfDown false
[20/Feb/2009:12:25:32][http-9843-Processor24]: Established LDAP connection using basic authentication to host localhost port 4008 as cn=Directory Manager
[20/Feb/2009:12:25:32][http-9843-Processor24]: initializing with mininum 3 and maximum 15 connections to host localhost port 4008, secure connection, false, authentication type 1
[20/Feb/2009:12:25:32][http-9843-Processor24]: increasing minimum connections by 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new total available connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: new number of connections 3
[20/Feb/2009:12:25:32][http-9843-Processor24]: Populating local indexes
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel populateDB: creating non-secure (non-SSL) connection for internal ldap
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel connecting to localhost:4008
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel populateDB param=preop.internaldb.post_ldif
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel update: database=dhcp-110.sjc.redhat.com-pki-ca
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file = /usr/share/pki/ca/conf/index.ldif
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file copy to /var/lib/ipa-ca/conf/index.ldif
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file = /usr/share/pki/ca/conf/vlv.ldif
[20/Feb/2009:12:25:32][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file copy to /var/lib/ipa-ca/conf/vlv.ldif
[20/Feb/2009:12:25:33][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file = /usr/share/pki/ca/conf/vlvtasks.ldif
[20/Feb/2009:12:25:33][http-9843-Processor24]: DatabasePanel importLDIFS: ldif file copy to /var/lib/ipa-ca/conf/vlvtasks.ldif
[20/Feb/2009:12:25:33][http-9843-Processor24]: Checking wait_dn cn=index1160589780, cn=index, cn=tasks, cn=config
[20/Feb/2009:12:25:33][http-9843-Processor24]: Done checking wait_dn cn=index1160589780, cn=index, cn=tasks, cn=config
[20/Feb/2009:12:25:34][http-9843-Processor24]: Done populating local indexes
[20/Feb/2009:12:25:34][http-9843-Processor24]: Start setting up replication.
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel setupreplication: creating non-secure (non-SSL) connections for internal ldap
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel setupReplication: replicadn=cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel createReplicationManager: Replication Manager has already used
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel createReplicationManager: Successfully created Replication Manager
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel getInstanceDir: DN for storing nsslapd-directorFaily: cn=config,cn=ldbm database,cn=plugins,cn=config
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel getInstanceDir: attribute name: nsslapd-directory
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel getInstanceDir: instanceDir=/var/lib/dirsrv/slapd-dhcp-110/db
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel createChangeLog: Changelog entry has already used
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel getInstanceDir: DN for storing nsslapd-directory: cn=config,cn=ldbm database,cn=plugins,cn=config
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel getInstanceDir: attribute name: nsslapd-directory
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel getInstanceDir: instanceDir=/var/lib/dirsrv/slapd-dhcp-1105/db
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel createChangeLog: Successfully create change log entry
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel enableReplication: replicadn: cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel enableReplication: cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config has already been used
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel enableReplication: Failed to modify cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config entry. Exception: netscape.ldap.LDAPException: error result (68)
[20/Feb/2009:12:25:34][http-9843-Processor24]: DatabasePanel enableReplication: replicadn: cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config
[20/Feb/2009:12:25:36][http-9843-Processor24]: DatabasePanel enableReplication: Failed to create cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config entry. Exception: netscape.ldap.LDAPException: error result (1)
[20/Feb/2009:12:25:36][http-9843-Processor24]: DatabasePanel setupReplication: Finished enabling replication
[20/Feb/2009:12:25:36][http-9843-Processor24]: DatabasePanel createReplicationAgreement: dn: cn=masterAgreement1-dhcp-110.sjc.redhat.com-ipa-ca,cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config
[20/Feb/2009:12:25:36][http-9843-Processor24]: About to set description attr to masterAgreement1-dhcp-110.sjc.redhat.com-ipa-ca
[20/Feb/2009:12:25:36][http-9843-Processor24]: DatabasePanel createReplicationAgreement: cn=masterAgreement1-dhcp-110.sjc.redhat.com-ipa-ca,cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config has already used
[20/Feb/2009:12:25:37][http-9843-Processor24]: DatabasePanel createReplicationAgreement: Successfully create replication agreement masterAgreement1-dhcp-110.sjc.redhat.com-ipa-ca
[20/Feb/2009:12:25:37][http-9843-Processor24]: DatabasePanel createReplicationAgreement: dn: cn=cloneAgreement1-dhcp-110.sjc.redhat.com-ipa-ca,cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config
[20/Feb/2009:12:25:37][http-9843-Processor24]: About to set description attr to cloneAgreement1-dhcp-110.sjc.redhat.com-ipa-ca
[20/Feb/2009:12:25:37][http-9843-Processor24]: DatabasePanel createReplicationAgreement: Failed to create cn=cloneAgreement1-dhcp-110.sjc.redhat.com-ipa-ca,cn=replica,cn="dc=dhcp-110.sjc.redhat.com-pki-ca",cn=mapping tree,cn=config entry. Exception: netscape.ldap.LDAPException: error result (32)
[20/Feb/2009:12:25:37][http-9843-Processor24]: DatabasePanel setupReplication: netscape.ldap.LDAPException: error result (32
Comment 12 Rich Megginson 2009-02-20 16:55:50 EST
This bug exists in both DS and CS

DS bug - the index task entry is not available for searching immediately after creation

CS bug - the code should wait a second or two (not sure exactly how long) before attempting to search for the index task entry - since the add request returned success, the entry should be there.  By default, task entries have a TTL (time to live) of 120 seconds.  So even after the task is completed, the entry should be there for at least 120 seconds.  The "ttl" attribute in the task entry can be set to another value if desired.

So I suggest closing this bug, and opening two new ones - one for DS, and one for CS.

Note You need to log in before you can comment on or make changes to this bug.